import graph;
import contour;

real u = 4cm;
real[] values = new real[] {0};

// Cercle
real c(real x, real y) {
  return x^2 + y^2 - 3;
}

picture geo1;
size(geo1, u);
limits(geo1, (-3,-3), (3,3));

xaxis(geo1);
yaxis(geo1);
draw(geo1, contour(c, (-2, -2), (2, 2), values, 80, 80));

// Courbe elliptique
real f(real x, real y) {
  return y^2 - x^3 + x;
}

picture geo2;
size(geo2, u);
limits(geo2, (-3,-3), (3,3));

xaxis(geo2);
yaxis(geo2);
draw(geo2, contour(f, (-2, -2), (2, 2), values, 80, 80));

add(geo1.fit(), (0,0), W);
add(geo2.fit(), (5mm,0), E);
