import geometry;
import graph;
import contour;

defaultcoordsys;
size(10cm);
real L = 3;
scale(Broken(-L,L), Broken(-L,L));

point Ab = rotate(-110)*(0,2);
point Ac = rotate(- 50)*(0,2);
point Bc = rotate(  10)*(0,2);
point Ba = rotate(  70)*(0,2);
point Ca = rotate( 130)*(0,2);
point Cb = rotate(-170)*(0,2);

draw(Ab--Ac--Bc--Ba--Ca--Cb--cycle);

label("$A$", (Ab+Ac)/2, E);
label("$B$", (Bc+Ba)/2, NW);
label("$C$", (Ca+Cb)/2, SW);
label("$a$", (Ba+Ca)/2, W);
label("$b$", (Cb+Ab)/2, SE);
label("$c$", (Ac+Bc)/2, N);

draw((Ab+2*Ac)/3--(Ca+2*Ba)/3, red);
draw((Ac+2*Ab)/3--(Ba+2*Ca)/3, red);

draw((Bc+2*Ba)/3--(Ab+2*Cb)/3, blue);
draw((Ba+2*Bc)/3--(Cb+2*Ab)/3, blue);

draw(.2*Ca+.8*Cb--.2*Bc+.8*Ac, green+2);


